Notes¶
Use /activities/notes to retrieve special instructions on how to service, notes about the account that are provided to Waste Management CSR Agent or added during account creation.A date range can be specified to retrive notes that happened within those dates.
URI¶
GET /api/v1/customers/{customerId}/activities/notes
Headers¶
| Parameter | Mandatory | Data Type | Allowed Values | Description |
|---|---|---|---|---|
| Request-Tracking-Id | Y | String | Unique Identifier for each request | |
| Authorization | Y | String | Access token | |
| ClientId | Y | String | Will be provided by WM | |
| Accept | N | String | application/json or application/xml | Default is application/json |
Request Parameters¶
Pass the following parameters in the request.
| Parameter | Mandatory | Data Type | Type | Description |
|---|---|---|---|---|
| customerId | Y | Number | path | Unique Customer Identifier |
| fromDate | N | Date | query | Start date formatted as yyyy-MM-dd |
| toDate | N | Date | query | Start date formatted as yyyy-MM-dd |
Response Fields¶
| Parameter | Data Type | Description |
|---|---|---|
| request_tracking_id | String | Unique identifier for each request |
| activities | Object | The activity details |
| note_info | Object | The notes details |
| comment | String | Notes about the account |
| create_date_time | String | Date and time of comment entered |
| audit_info | Object | Audit information |
| created_date_time | String | Date and time of comment created |
| created_by | String | Notes entered by |
Tip
For information about how to test, see How To Test
Sample Request¶
http://api.wm.com//v1/customers/123456789/activities/notes?fromDate=2016-06-10&toDate=2016-07-01
Sample Response¶
{ "request_tracking_id": "1235", "activities": [ { "note_info": { "comment": "Dsp Dt changed from 07/01/16 to 07/02/16 by aallen18.Changed on 07/01/16 Time 16.03.47 Reason \"Operational Delay\",7", "create_date_time": "2016-07-01 00:00:00.000Z" }, "audit_info": { "created_date_time": "2016-07-01 00:00:00.000Z" } }, { "note_info": { "comment": "OCS EDT G530 NOT OUT/ CONTAINER EMPTY (+)", "create_date_time": "2016-06-10 04:20:11.000Z" }, "audit_info": { "created_date_time": "2016-06-10 04:20:11.000Z", "created_by": "WMESB" } }, { "note_info": { "comment": "OCS EDT G530 NOT OUT/ CONTAINER EMPTY (+)", "create_date_time": "2016-06-10 04:20:11.000Z" }, "audit_info": { "created_date_time": "2016-06-10 04:20:11.000Z", "created_by": "WMESB" } }, { "note_info": { "comment": "OCS EDT G530 NOT OUT/ CONTAINER EMPTY (+)", "create_date_time": "2016-06-10 04:20:11.000Z" }, "audit_info": { "created_date_time": "2016-06-10 04:20:11.000Z", "created_by": "WMESB" } } ]}